#!/bin/bash
SCRIPT_ABS_LOCATION=$(realpath "$(dirname "${0}")")

# shellcheck disable=SC1090
source "$SCRIPT_ABS_LOCATION/../common-backup.sh"
# shellcheck disable=SC1090
source "$SCRIPT_ABS_LOCATION/portainer-backup.env"

# shellcheck disable=SC2034
LOG_FILE="$SCRIPT_ABS_LOCATION/portainer-backup.log"

stop_container "$APP_CONTAINER"

run_duplicati_backup \
  "$BACKUP_DESTINATION" \
  "$APP_CONTAINER" \
  7 \
  "$SFTP_USERNAME" \
  "$SFTP_PASSWORD" \
  "$SFTP_FINGERPRINT" \
  "$BACKUP_ENCR_PASSPHRASE" \
  "$SOURCE_DIR"

start_container "$APP_CONTAINER"

